"""


Module __init__.

This module serves as the initializer for the package, importing various submodules and making them available.

Submodules:
    - elements: This submodule typically contains definitions for various elements used within the package such as classes, interfaces, or data structures.
    - functional: This submodule likely includes functionality such as utility functions or higher-order functions that allow for operations like map, reduce, filter, etc.
    - decorators: This submodule is expected to provide decorator functions which can be used to modify or enhance the behavior of functions or classes without permanently modifying their code.

The module imports the necessary components so that they can be easily accessed from the package level without needing to reference each individual submodule.

Note: Documentation automatically generated by https://undoc.ai
"""
# ruff: noqa

from .elements import *
from .functional import *
from .decorators import *
